package com.ruoyi.web.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.domain.dto.localPolicy.LocalPolicyAddRequest;
import com.ruoyi.web.domain.dto.localPolicy.LocalPolicyEditRequest;
import com.ruoyi.web.domain.dto.localPolicy.LocalPolicyQueryRequest;
import com.ruoyi.web.domain.entity.LocalPolicy;

/**
 * 当地政策服务接口
 */
public interface LocalPolicyService extends IService<LocalPolicy> {
    Integer addLocalPolicy(LocalPolicyAddRequest localPolicyAddRequest);

    boolean deleteLocalPolicy(String ids);

    void editLocalPolicy(LocalPolicyEditRequest localPolicyEditRequest);

    LocalPolicy getLocalPolicyById(int id);

    Page<LocalPolicy> getListLocalPolicyByPage(LocalPolicyQueryRequest localPolicyQueryRequest);

}
